Returns detailed information about a specific training session, including all segment results.
cURL
curl --request GET \ --url https://dashboard.researchanddesire.com/api/v1/dtt/sessions/{id} \ --header 'Authorization: Bearer <token>'
{ "ok": true, "data": { "id": 1, "bubble_id": "session-001", "name": "Morning Training", "passed": true, "created_at": "2026-02-18T08:00:00Z", "trainer_id": 1, "settings_id": 1, "TrainerSegment": [ { "id": 1, "type": "repetition", "passed": true, "percentGrade": 85, "points": 150, "durationMeasured": 58, "durationTarget": 60, "repsMeasured": 10, "repsTarget": 10 } ] } }
API tokens can be created in the Dashboard settings. Requires an Ultra subscription.
The DTT training session ID
x >= 1
1
DTT session with segments
Show child attributes
Was this page helpful?
Contact support